/*
 * Function calls with error handling.
 * Fine to make code clear.
 *
 * 2003 Viliam Holub
 */


/* general functions */

void *xmalloc( size_t size);
char *xstrdup( const char *src);

/* file operations */

void s_write( int fd, const void *buf, size_t size);
void s_read( int fd, void *buf, size_t size);

/* set of terminal control  functions  */

void s_tcgetattr( int fd, struct termios *term);
void s_tcsetattr( int fd, int act, struct termios *term);
void s_cfsetospeed( struct termios *term, speed_t sp);
void s_cfsetispeed( struct termios *term, speed_t sp);
int s_tcsendbreak( int fd, int duration);
